function y=Kor2Ofg(Kor,Rai,Crc);

Hrg = 1.53e5;
Prg = 254.4;

if Kor<=0,
    y=21*(1-Prg*Hrg*Crc*Kor/Rai);
else
    epsilon=1e-3;
    Kod = 6.34e-9*Rai^2;
    Ofg_c=21*exp(-Prg*Hrg*Kod/Rai)+epsilon;
    Kor_c=1/(Prg*Hrg/(Rai*log(21/Ofg_c))-1/Kod)/Crc;
    if Kor>=Kor_c,
        y=Ofg_c-Prg*Hrg*Ofg_c/(Rai*Crc*(Kor_c/Kod+1/Crc)^2)*(Kor-Kor_c);
    else
        y=21*exp(-Prg*Hrg/Rai/(1/Kod+1/(Kor*Crc)));
    end,
end,
