theta0=2;
lambda=1/2;
N=5;
T=5;

kmax=1500;
vtime=zeros(kmax,1);
vtheta=zeros(kmax,N);
for k=1:kmax,
    t=k/100;
    tau=t-(1:N)*T/N;
    tau(tau<0)=0; % Les observateurs non dmarrs sont de type grand-gain
    tau=tau-T*floor(tau/T);
    theta=1+(theta0-1)*exp(-lambda*tau);
    vtime(k)=t;
    vtheta(k,:)=theta;
end,
plot(vtime,vtheta(:,1),color(1)),
hold on,
color='rbgyc';
for i=2:N,
    plot(vtime,vtheta(:,i),color(i)),
end,
print -depsc -loose 'c:\data\recherche\articles\slides\BanachC\theta.eps'
p=plot(vtime,max(vtheta')','k');set(p,'LineWidth',3);
print -depsc -loose 'c:\data\recherche\articles\slides\BanachC\thetamax.eps'
p=plot(vtime,min(vtheta')','k');set(p,'LineWidth',3);
print -depsc -loose 'c:\data\recherche\articles\slides\BanachC\thetaminmax.eps'
hold off,

